Bug 123873 - FILEOPEN DOCX: "Top and bottom" wrapped charts cover each other because wrap setting is wrongly Optimal instead of Wrap Off
Summary: FILEOPEN DOCX: "Top and bottom" wrapped charts cover each other because wrap ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.0.0 target:6.4.3
Keywords: filter:docx, implementationError
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-03-05 14:34 UTC by NISZ LibreOffice Team
Modified: 2020-03-04 14:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Testfile (deleted)
2019-03-05 14:34 UTC, NISZ LibreOffice Team
Details
Screenshot (95.93 KB, image/png)
2019-03-05 14:35 UTC, NISZ LibreOffice Team
Details
Example file neutralized a bit more (45.61 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-03-05 16:00 UTC, Gabor Kelemen
Details
Solved For Me (96.61 KB, image/png)
2020-02-10 07:56 UTC, Attila Bakos (NISZ)
Details
Example compared LO before and after the fix (87.37 KB, image/png)
2020-03-04 14:29 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-03-05 14:34:10 UTC
Description:
Charts in DOCX documents created with Microsoft Word cover each other when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Steps to Reproduce:
    1. Open the attached DOCX file in LibreOffice Writer.
    2. Open a copy in Microsoft Word.
    3. Compare the original file opened in Writer and Word.
    4. View the attached screenshot.
    5. Notice, that charts cover each other.

Actual Results:
Charts cover each other when the document is opened in LibreOffice Writer 6.3.0.0.alpha0+.

Expected Results:
Charts should have the same position as the original file when the document is opened in Microsoft Word.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.3.0.0.alpha0+
Build ID: 65438bcda46bab4f2fe6fb555f44aace45e11e5e
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2019-03-05 14:34:56 UTC Comment hidden (obsolete)
Comment 2 NISZ LibreOffice Team 2019-03-05 14:35:45 UTC
Created attachment 149746 [details]
Screenshot
Comment 3 Gabor Kelemen 2019-03-05 16:00:56 UTC
Created attachment 149751 [details]
Example file neutralized a bit more
Comment 4 Roman Kuznetsov 2019-03-06 12:39:51 UTC
confirm in

Version: 6.3.0.0.alpha0+
Build ID: d81a11220d76eeecac80b27b25a4576b6e78210b
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 Xisco Faulí 2019-03-12 08:15:36 UTC Comment hidden (obsolete)
Comment 6 Timur 2019-04-30 11:43:55 UTC
Chars in MSO have "Top and Bottom" wrap. I guess that corresponds to LO's "Wrap Off". 
Charts appear in LO from LO 4.2. Then and up to LO 6.3+, they were imported with "Optimal" wrap, which is wrong. 
I'll set implementationError and update the title.
Comment 7 Commit Notification 2020-02-07 17:05:45 UTC
Bakos Attila committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/affe9c8384475fc85027703332bc0f1b36eaa0a6

tdf#123873 DOCX IMPORT: fix unhandled textwrap for objects

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Attila Bakos (NISZ) 2020-02-10 07:56:15 UTC
Created attachment 157763 [details]
Solved For Me
Comment 9 Commit Notification 2020-03-04 09:56:42 UTC
Bakos Attila committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/612a8bd9cfda531b6c610118f7c3b22fef047e83

tdf#123873 DOCX IMPORT: fix unhandled textwrap for objects

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Timur 2020-03-04 14:29:54 UTC
Created attachment 158387 [details]
Example compared LO before and after the fix

Verified.